# RUN: llvm-mc --disassemble --triple riscv64 \
# RUN:    -mattr m,+a,+f,+d,+c,+experimental-v < %s | FileCheck %s

# CHECK: vmerge.vvm  v1, v2, v3, v0
[0xd7,0x80,0x21,0x5c]

# CHECK: vmerge.vxm  v1, v2, gp, v0
[0xd7,0xc0,0x21,0x5c]

# CHECK: vmerge.vim  v1, v2, 1, v0
[0xd7,0xb0,0x20,0x5c]

# CHECK: vfmerge.vfm v1, v2, ft3, v0
[0xd7,0xd0,0x21,0x5c]

# CHECK: vadc.vvm  v1, v2, v3, v0
[0xd7,0x80,0x21,0x42]

# CHECK: vadc.vxm  v1, v2, gp, v0
[0xd7,0xc0,0x21,0x42]

# CHECK: vadc.vim  v1, v2, 1, v0
[0xd7,0xb0,0x20,0x42]
